#!/bin/sh
#
########################################################################
# FILENAME: kill.sh                                           02/14/2014 
#
# PURPOSE: Script to kill off a set of running jobs of composite making...
#
# AUTHOR: Matthew Lazzara
#         Antarctic Meteorological Research Center
#         Cooperative Institute for Meteorological Satellite Studies
#         Space Science and Engineering Center
#         University of Wisconsin-Madison
#
########################################################################
# MODIFICATION HISTORY
#
# Created
#  M. Lazzara February 24, 2014
#
########################################################################
#
# Take in and list a prefix of jobs to stop
#
ps -ef |grep $1 
ps -ef |grep $1 |awk '{print $2}'
#
# Loop to kill jobs
#
for id in `ps -ef |grep $1 |awk '{print $2}'`
do
kill -9 $id
done
#
# End of loop
#
exit 0
########################################################################
